
D4Science Infrastructure - Task #1016

Redirerect from old gcube wiki to the new one

Oct 14, 2015 04:23 PM - Paolo Fabriani

Status: Closed Start date: Oct 14, 2015

Priority: High Due date: Oct 30, 2015

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 1.00 hour

Target version: New WIKI Installation   

Infrastructure: Production   

Description

Configure DNS or make a redirection to point the URL of the old gcube wiki [1] to the new one [2].

[1] https://gcube.wiki.gcube-system.org

[2] https://wiki.gcube-system.org

History

#1 - Oct 14, 2015 04:31 PM - Massimiliano Assante

- Due date set to Oct 30, 2015

- Category set to Other

- Assignee changed from _DTEAM to _InfraScience Systems Engineer

- Estimated time set to 1.00 h

#2 - Oct 14, 2015 04:42 PM - Andrea Dell'Amico

It seems that there's more than this:

gcore.wiki  IN  CNAME       einfrastructure-wikis.di.uoa.gr.

gcube.wiki  IN  CNAME       einfrastructure-wikis.di.uoa.gr.

issue   IN  CNAME       newissue.research-infrastructures.eu.

technology.wiki IN  CNAME       einfrastructure-wikis.di.uoa.gr.

wiki    IN  CNAME       wiki.d4science.org.

H   www IN  A       146.48.123.99

www2    IN  CNAME       www2gcube.research-infrastructures.eu.

wwwtest IN  CNAME       www2-testgcube.isti.cnr.it.

Some of the names could be dismissed, some need to be moved too: gcore.wiki, issue, technology.wiki?

#3 - Oct 14, 2015 04:55 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 80

I just changed the DNS so that gcube.wiki.gcube-system.org points to wiki.gcube-system.org in the meantime.

#4 - Oct 14, 2015 07:05 PM - Pasquale Pagano

something is not correct since if I try to go to gcube.wiki.gcube-system.org I am redirected to https://wiki.d4science.org/index.php?title=Main_Page

#5 - Oct 14, 2015 10:04 PM - Andrea Dell'Amico

Now I added gcube.wiki.gcube-system.org as alias of wiki.gcube-system.org in the web server configuration.

#6 - Oct 14, 2015 10:18 PM - Luca Frosini

Seems working now.

Andrea Dell'Amico wrote:

It seems that there's more than this:

gcore.wiki IN CNAME einfrastructure-wikis.di.uoa.gr.

gcube.wiki IN CNAME einfrastructure-wikis.di.uoa.gr.
issue IN CNAME newissue.research-infrastructures.eu.

technology.wiki IN CNAME einfrastructure-wikis.di.uoa.gr.

wiki IN CNAME wiki.d4science.org.

H www IN A 146.48.123.99

www2 IN CNAME www2gcube.research-infrastructures.eu.

<wwwtest IN CNAME www2-testgcube.isti.cnr.it.

Some of the names could be dismissed, some need to be moved too: gcore.wiki, issue, technology.wiki?

 In my opinion these links can be dismissed. some are wiki, some others were used for tracking issues.

@pasquale.pagano@isti.cnr.it can we dismiss them?

#7 - Oct 15, 2015 10:56 AM - Pasquale Pagano

Luca Frosini wrote:

Seems working now.

 Not for me. Trying https://gcube.wiki.gcube-system.org/gcube/About_gCube I am not redirected to the new wiki site. 

Andrea Dell'Amico wrote:

It seems that there's more than this:

gcore.wiki IN CNAME einfrastructure-wikis.di.uoa.gr.

gcube.wiki IN CNAME einfrastructure-wikis.di.uoa.gr.

issue IN CNAME newissue.research-infrastructures.eu.

technology.wiki IN CNAME einfrastructure-wikis.di.uoa.gr.

wiki IN CNAME wiki.d4science.org.

H www IN A 146.48.123.99

www2 IN CNAME www2gcube.research-infrastructures.eu.

<wwwtest IN CNAME www2-testgcube.isti.cnr.it.

 

All the above can be removed in my opinion 

Some of the names could be dismissed, some need to be moved too: gcore.wiki, issue, technology.wiki?

 In my opinion these links can be dismissed. some are wiki, some others were used for tracking issues.

@pasquale.pagano@isti.cnr.it can we dismiss them?

#8 - Oct 15, 2015 11:06 AM - Andrea Dell'Amico

Pasquale Pagano wrote:

Luca Frosini wrote:

Seems working now.

 Not for me. Trying https://gcube.wiki.gcube-system.org/gcube/About_gCube I am not redirected to the new wiki site. 

 That seems a dns or browse cache problem. The correct resolution is the following:

$ host gcube.wiki.gcube-system.org

gcube.wiki.gcube-system.org is an alias for wiki.d4science.org.

wiki.d4science.org has address 146.48.122.17

All the above can be removed in my opinion 

 Nice. I like removing stuff.

#9 - Oct 15, 2015 12:50 PM - Massimiliano Assante

At least the Portal Bundle installation page is gone, or the redirect does not point to it, original link follows:

http://gcube.wiki.gcube-system.org/gcube/index.php/GCube_Portal_Installation
#10 - Oct 15, 2015 12:54 PM - Andrea Dell'Amico

Massimiliano Assante wrote:

At least the Portal Bundle installation page is gone, or the redirect does not point to it, original link follows:

http://gcube.wiki.gcube-system.org/gcube/index.php/GCube_Portal_Installation

 The URL addresses are the same of the old wiki(s) except for the hostname part. If something is missing, then it's a separate issue.

#11 - Oct 15, 2015 02:54 PM - Andrea Dell'Amico

@tommaso.piccioli@isti.cnr.it tells me that the new wiki misses the index.php part. Is it the same for all the other content? If so, we can setup some

rewrite rules.

#12 - Oct 16, 2015 11:28 AM - Massimiliano Assante

- Priority changed from Normal to High

I think so, please restore the index.php part as we need to update some pages (e.g. Portal Bundle, Widget store etc etc)

#13 - Oct 16, 2015 01:22 PM - Andrea Dell'Amico

Can you try it now? The rewrite deletes the /index.php part of the URL but your link now works.

#14 - Oct 16, 2015 02:12 PM - Massimiliano Assante

it seems ok now

#15 - Oct 20, 2015 11:07 AM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
